; Einfaches IO-Beispiel
; Taster/Schalter an Port C werden eingelesen und auf Port D ausgegeben
;	
	.INCLUDE "m161def.inc"	; Include-Datei für ATMEGA16 einlesen
	.DEF temp=r16		; Register r16 bekommt Namen "temp"
	.CSEG			; Definiere Codesegment für Befehle
				; und Konstanten
	rjmp init		; Springe zu Programmstart
	.ORG $10		; Interrupts übergehen (hier unnötig)

; #### Initialisierungen ####
init:
	ldi temp,LOW(RAMEND)	; Bestimme Low-Byte der höchsten
				; SRAM-Adresse
	out SPL,temp		; In Low-Teil des Stapelzeigers speichern
	ldi temp,HIGH(RAMEND)	; Bestimme High-Byte der höchsten
				; SRAM-Adresse
	out SPH,temp		; In High-Teil des Stapelzeigers speichern
	ldi temp,$ff		; Setze temp= 1111 1111
	out DDRD,temp		; Port D als Ausgang konfigurieren

; #### Hauptschleife ####
loop:
	in temp,PINC		; Port C einlesen
	com temp		; Eingabe komplementieren/invertieren
	out PORTD,temp		; Port C => Port D
	rjmp loop

	.EXIT			; Programmende (wird nie erreicht)

